> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network Overview

> This endpoint returns network-wide overview metrics for Polygon.

<Warning>
  <b>Polygon on the Rated API is under maintenance</b>

  Please check our [changelog](/changelog#july-8%2C-2025) for the latest updates.
</Warning>


## OpenAPI

````yaml get /v1/polygon/network/overview
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/polygon/network/overview:
    get:
      tags:
        - Polygon Network
      summary: Get Network Overview
      description: This endpoint returns network-wide overview metrics for Polygon.
      operationId: get_network_overview_v1_polygon_network_overview_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PolygonNetworkOverview'
                type: array
                title: Response Get Network Overview V1 Polygon Network Overview Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    PolygonNetworkOverview:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        networkEffectiveness:
          type: number
          title: Networkeffectiveness
        networkCheckpointSigningRate:
          type: number
          title: Networkcheckpointsigningrate
        networkCheckpointProposalRate:
          type: number
          title: Networkcheckpointproposalrate
        networkBorProposalRate:
          type: number
          title: Networkborproposalrate
        validatorApr:
          type: number
          title: Validatorapr
        netValidatorApr:
          type: number
          title: Netvalidatorapr
        delegatorApr:
          type: number
          title: Delegatorapr
        heimdallCheckpointApr:
          type: number
          title: Heimdallcheckpointapr
        borProposalApr:
          type: number
          title: Borproposalapr
        heimdallCheckpointRewardsRatio:
          type: number
          title: Heimdallcheckpointrewardsratio
        borProposalRewardsRatio:
          type: number
          title: Borproposalrewardsratio
        activeValidatorCount:
          type: integer
          minimum: 0
          title: Activevalidatorcount
        activeValidatorDiff:
          type: integer
          title: Activevalidatordiff
        activeDelegatorCount:
          type: integer
          minimum: 0
          title: Activedelegatorcount
        activeDelegatorDiff:
          type: integer
          title: Activedelegatordiff
        totalStake:
          type: string
          title: Totalstake
        totalDelegatedStake:
          type: string
          title: Totaldelegatedstake
        avgDelegatedStake:
          type: string
          title: Avgdelegatedstake
        totalSelfStake:
          type: string
          title: Totalselfstake
        rewardsCheckpointSignatures:
          type: string
          title: Rewardscheckpointsignatures
        rewardsCheckpointProposals:
          type: string
          title: Rewardscheckpointproposals
        rewardsBorPriorityFees:
          type: string
          title: Rewardsborpriorityfees
        rewardsBorMev:
          type: string
          title: Rewardsbormev
        avgValidatorDelegates:
          type: string
          title: Avgvalidatordelegates
        blendedCommissionRate:
          type: string
          title: Blendedcommissionrate
        networkEffectivenessDiff:
          type: string
          title: Networkeffectivenessdiff
        networkCheckpointSigningRateDiff:
          type: string
          title: Networkcheckpointsigningratediff
        networkCheckpointProposalRateDiff:
          type: string
          title: Networkcheckpointproposalratediff
        networkBorProposalRateDiff:
          type: string
          title: Networkborproposalratediff
      type: object
      required:
        - timeWindow
        - networkEffectiveness
        - networkCheckpointSigningRate
        - networkCheckpointProposalRate
        - networkBorProposalRate
        - validatorApr
        - netValidatorApr
        - delegatorApr
        - heimdallCheckpointApr
        - borProposalApr
        - heimdallCheckpointRewardsRatio
        - borProposalRewardsRatio
        - activeValidatorCount
        - activeValidatorDiff
        - activeDelegatorCount
        - activeDelegatorDiff
        - totalStake
        - totalDelegatedStake
        - avgDelegatedStake
        - totalSelfStake
        - rewardsCheckpointSignatures
        - rewardsCheckpointProposals
        - rewardsBorPriorityFees
        - rewardsBorMev
        - avgValidatorDelegates
        - blendedCommissionRate
        - networkEffectivenessDiff
        - networkCheckpointSigningRateDiff
        - networkCheckpointProposalRateDiff
        - networkBorProposalRateDiff
      title: PolygonNetworkOverview
      examples:
        - activeDelegatorCount: 999
          activeDelegatorDiff: 999
          activeValidatorCount: 999
          activeValidatorDiff: -10
          avgDelegatedStake: 999
          avgValidatorDelegates: 999
          blendedCommissionRate: 0.99
          borProposalApr: 0.99
          borProposalRewardsRatio: 0.99
          delegatorApr: 0.999
          heimdallCheckpointApr: 0.99
          heimdallCheckpointRewardsRatio: 0.99
          netValidatorApr: 0.998
          networkBorProposalRate: 0.999
          networkCheckpointProposalRate: 0.999
          networkCheckpointSigningRate: 0.999
          networkEffectiveness: 0.999
          network_bor_proposal_rate_diff: 0.01
          network_checkpoint_proposal_rate_diff: 0.01
          network_checkpoint_signing_rate_diff: 0.01
          network_effectiveness_diff: 0.01
          rewardsBorMev: 999
          rewardsBorPriorityFees: 999
          rewardsCheckpointProposals: 999
          rewardsCheckpointSignatures: 999
          timeWindow: 30d
          totalDelegatedStake: 999
          totalSelfStake: 999
          totalStake: 999
          validatorApr: 0.999
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````